codecov:
    notify:
        require_ci_to_pass: yes

coverage:
    precision: 2
    round: down
    range: "80...100"
    status:
        project:
            default:
                threshold: 0.5%
        patch: off
        changes: no

parsers:
    gcov:
        branch_detection:
            conditional: yes
            loop: yes
            method: no
            macro: no

comment:
    layout: "diff, flags, files"
    behavior: default
    require_changes: yes
    require_base: no
    require_head: yes
    branches: null
